
.toggle-container {
  position: relative;
  display: inline-block;
}

.toggle-switch {
  width: 150px;
  background-color: #333;
  border-radius: 25px;
  padding: 5px;
  cursor: pointer;
  display: flex;
  align-items: center;
  position: relative;
}

.toggle-button {
  width: 70px;
  height: 30px;
  background-color: #e0e0e0;
  border-radius: 25px;
  transition: transform 0.1s ease-in-out;
}

.toggle-option-Monthly,
.toggle-option-Yearly {
  flex: 1;
  text-align: center;
  font-size: 14px;
  position: absolute;
  width: 50%;
  height: 100%; /* Stellt sicher, dass es die volle Höhe hat */
  display: flex;
  justify-content: center; /* Horizontale Zentrierung */
  align-items: center; /* Vertikale Zentrierung */
}

.toggle-option-Monthly {
  color: #000;
	left: 0; /* Startet ganz links */
}

.toggle-option-Yearly {
  color: #fff;
  left: 47%;
}

.toggle-switch.monthly .toggle-button {
  transform: translateX(0);
}

.toggle-switch.yearly .toggle-button {
  transform: translateX(75px); /* Adjust according to the size */
}

.toggle-switch.monthly .toggle-option-Monthly.active {
  color: #000000;
}

.toggle-switch.yearly .toggle-option-Monthly.active {
  color: #ffffff;
}

.toggle-switch.monthly .toggle-option-Yearly.inactive {
  color: #ffffff;
}

.toggle-switch.yearly .toggle-option-Yearly.active {
  color: #000000;
}


 .badge {
  position: absolute;
  top: -10px;
  right: -10px;
  background: linear-gradient(97deg, rgba(238,200,4,1) 0%, rgba(255,136,0,1) 40%);
  color: white;
  padding: 5px 10px;
  border-radius: 12px;
  font-size: 12px;
  font-weight: bold;
  transform: rotate(10deg);
}
